=== debian/control ===
Source: ros-jazzy-fuse-constraints
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libbenchmark-dev <!nocheck>, libceres-dev, libeigen3-dev, libsuitesparse-dev, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-fuse-core, ros-jazzy-fuse-graphs, ros-jazzy-fuse-variables, ros-jazzy-geometry-msgs, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-fuse-constraints
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libeigen3-dev, libsuitesparse-dev, ros-jazzy-fuse-core, ros-jazzy-fuse-graphs, ros-jazzy-fuse-variables, ros-jazzy-geometry-msgs, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Description: The fuse_constraints package provides a set of commonly used constraint types, such as direct measurements on \ state variables (absolute constraints) or measurements of the state changes (relative constraints).
